Class for handling filelinks. For now its supports all filestack transforms. It outputs transform url or array of transforms

example

  const link = new Filelink('handle or externalUrl', 'apikey'); link.flip().flop().store();

  console.log(link.toString()); // enable base64 support link.setBase64(true)

  console.log(link.toString());

export
class

  Filelink

### Hierarchy

- Filelink

## Index

### Constructors

- constructor

### Methods

- PDFConvert
- PDFInfo
- URLScreenshot
- addTask
- ascii
- blackwhite
- blur
- blurFaces
- border
- cache
- circle
- collage
- crop
- cropFaces
- detectFaces
- enhance
- fallback
- flip
- flop
- getTransformations
- getValidationSchema
- minifyCss
- minifyJs
- modulate
- monochrome
- negative
- oilPaint
- output
- partialBlur
- partialPixelate
- pixelate
- pixelateFaces
- polaroid
- quality
- redeye
- reset
- resize
- rotate
- roundedCorners
- security
- sepia
- setBase64
- setCname
- setCustomDomain
- setUseValidator
- sfw
- shadow
- sharpen
- store
- tags
- toString
- tornEdges
- upscale
- videoConvert
- vignette
- zip

## Constructors

### constructor

- new Filelink(source: string | string[], apikey?: string): Filelink

- - Defined in lib/filelink.ts:535

  Class for generating tranformation urls

  memberof

    Filelink

  #### Parameters

  - ##### source: string | string[]

    handle or multiple handles (i.e. for collage)

  - ##### Optional apikey: string

  #### Returns Filelink

## Methods

### PDFConvert

- PDFConvert(params?: PdfConvertParams | boolean): this

- - Defined in lib/filelink.ts:1224

  Adds pdfconvert transformation

  see

    https://www.filestack.com/docs/api/processing/#pdfconvert

  memberof

    Filelink

  #### Parameters

  - ##### Optional params: PdfConvertParams | boolean

  #### Returns this

  this

### PDFInfo

- PDFInfo(params?: PdfInfoParams | boolean): this

- - Defined in lib/filelink.ts:1212

  Adds pdfinfo transformation

  see

    https://www.filestack.com/docs/api/processing/#pdfinfo

  memberof

    Filelink

  #### Parameters

  - ##### Optional params: PdfInfoParams | boolean

  #### Returns this

  this

### URLScreenshot

- URLScreenshot(params?: URLScreenshotParams | boolean): this

- - Defined in lib/filelink.ts:1200

  Adds URLScreenshot transformation

  see

    https://www.filestack.com/docs/api/processing/#urlscreenshot

  memberof

    Filelink

  #### Parameters

  - ##### Optional params: URLScreenshotParams | boolean

  #### Returns this

  this

### addTask

- addTask(name: string, params?: any): this

- - Defined in lib/filelink.ts:688

  Add task and validate

  memberof

    Filelink

  #### Parameters

  - ##### name: string

  - ##### Optional params: any

  #### Returns this

### ascii

- ascii(params?: AsciiParams | boolean): this

- - Defined in lib/filelink.ts:1140

  Adds ascii transformation

  see

    https://www.filestack.com/docs/api/processing/#ascii

  memberof

    Filelink

  #### Parameters

  - ##### Optional params: AsciiParams | boolean

  #### Returns this

  this

### blackwhite

- blackwhite(params?: BlackwhiteParams | boolean): this

- - Defined in lib/filelink.ts:1032

  Adds blackwhite transformation

  see

    https://www.filestack.com/docs/api/processing/#blackwhite

  memberof

    Filelink

  #### Parameters

  - ##### Optional params: BlackwhiteParams | boolean

  #### Returns this

  this

### blur

- blur(params?: BlurParams | boolean): this

- - Defined in lib/filelink.ts:1020

  Adds blur transformation

  see

    https://www.filestack.com/docs/api/processing/#blur

  memberof

    Filelink

  #### Parameters

  - ##### Optional params: BlurParams | boolean

  #### Returns this

  this

### blurFaces

- blurFaces(params: BlurFacesParams): this

- - Defined in lib/filelink.ts:912

  Adds blur faces transformation

  see

    https://www.filestack.com/docs/api/processing/#blur-faces

  memberof

    Filelink

  #### Parameters

  - ##### params: BlurFacesParams

  #### Returns this

  this

### border

- border(params?: BorderParams | boolean): this

- - Defined in lib/filelink.ts:996

  Adds border transformation

  see

    https://www.filestack.com/docs/api/processing/#border

  memberof

    Filelink

  #### Parameters

  - ##### Optional params: BorderParams | boolean

  #### Returns this

  this

### cache

- cache(params: CacheParams | boolean): this

- - Defined in lib/filelink.ts:828

  Adds cache transformation

  see

    https://www.filestack.com/docs/api/processing/#cache

  memberof

    Filelink

  #### Parameters

  - ##### params: CacheParams | boolean

  #### Returns this

  this

### circle

- circle(params?: CircleParams | boolean): this

- - Defined in lib/filelink.ts:984

  Adds circle transformation

  see

    https://www.filestack.com/docs/api/processing/#circle

  memberof

    Filelink

  #### Parameters

  - ##### Optional params: CircleParams | boolean

  #### Returns this

  this

### collage

- collage(params: CollageParams): this

- - Defined in lib/filelink.ts:1116

  Adds collage transformation

  see

    https://www.filestack.com/docs/api/processing/#collage

  memberof

    Filelink

  #### Parameters

  - ##### params: CollageParams

  #### Returns this

  this

### crop

- crop(params: CropParams): this

- - Defined in lib/filelink.ts:852

  Adds crop transformation

  see

    https://www.filestack.com/docs/api/processing/#crop

  memberof

    Filelink

  #### Parameters

  - ##### params: CropParams

  #### Returns this

  this

### cropFaces

- cropFaces(params: CropFacesParams): this

- - Defined in lib/filelink.ts:888

  Adds crop faces transformation

  see

    https://www.filestack.com/docs/api/processing/#crop-faces

  memberof

    Filelink

  #### Parameters

  - ##### params: CropFacesParams

  #### Returns this

  this

### detectFaces

- detectFaces(params?: DetectFacesParams | boolean): this

- - Defined in lib/filelink.ts:876

  Adds detect_faces transformation

  see

    https://www.filestack.com/docs/api/processing/#facial-detection

  memberof

    Filelink

  #### Parameters

  - ##### Optional params: DetectFacesParams | boolean

  #### Returns this

  this

### enhance

- enhance(): this

- - Defined in lib/filelink.ts:749

  Adds enhance transformation

  see

    https://www.filestack.com/docs/api/processing/#enhance

  memberof

    Filelink

  #### Returns this

  this

### fallback

- fallback(params: FallbackParams): this

- - Defined in lib/filelink.ts:1236

  Adds fallback transformation

  see

    https://www.filestack.com/docs/api/processing/#fallback

  memberof

    Filelink

  #### Parameters

  - ##### params: FallbackParams

  #### Returns this

  this

### flip

- flip(): this

- - Defined in lib/filelink.ts:727

  Adds flip transformation

  see

    https://www.filestack.com/docs/api/processing/#flip

  memberof

    Filelink

  #### Returns this

  this

### flop

- flop(): this

- - Defined in lib/filelink.ts:738

  Adds flop transformation

  see

    https://www.filestack.com/docs/api/processing/#flop

  memberof

    Filelink

  #### Returns this

  this

### getTransformations

- getTransformations(): any[]

- - Defined in lib/filelink.ts:625

  Returns transformations in JSON format

  memberof

    Filelink

  #### Returns any[]

### getValidationSchema

- getValidationSchema(): object

- - Defined in lib/filelink.ts:615

  Returns JSONSchema form transformations params

  memberof

    Filelink

  #### Returns object

  - ##### $schema: string

  - ##### additionalProperties: boolean

  - ##### description: string

  - ##### title: string

  - ##### type: string

  - ##### properties: object

    - ##### ascii: object

      - ##### oneOf: (object | object)[]

    - ##### blackwhite: object

      - ##### oneOf: (object | object)[]

    - ##### blur: object

      - ##### oneOf: (object | object)[]

    - ##### blur_faces: object

      - ##### oneOf: (object | object)[]

    - ##### border: object

      - ##### oneOf: (object | object)[]

    - ##### cache: object

      - ##### oneOf: (object | object)[]

    - ##### circle: object

      - ##### oneOf: (object | object)[]

    - ##### collage: object

      - ##### additionalProperties: boolean

      - ##### required: string[]

      - ##### type: string

      - ##### properties: object

        - ##### autorotate: object

          - ##### default: boolean

          - ##### type: string

        - ##### color: object

          - ##### $ref: string

          - ##### default: string

        - ##### files: object

          - ##### items: object[]

          - ##### minItems: number

          - ##### type: string

        - ##### fit: object

          - ##### enum: string[]

          - ##### type: string

        - ##### height: object

          - ##### maximum: number

          - ##### minimum: number

          - ##### type: string

        - ##### margin: object

          - ##### default: number

          - ##### maximum: number

          - ##### minimum: number

          - ##### type: string

        - ##### width: object

          - ##### maximum: number

          - ##### minimum: number

          - ##### type: string

    - ##### compress: object

      - ##### additionalProperties: boolean

      - ##### oneOf: (object | object)[]

    - ##### crop: object

      - ##### required: string[]

      - ##### type: string

      - ##### properties: object

        - ##### dim: object

          - ##### additionalItems: boolean

          - ##### items: object[]

          - ##### minItems: number

          - ##### type: string

    - ##### crop_faces: object

      - ##### oneOf: (object | object)[]

    - ##### detect_faces: object

      - ##### oneOf: (object | object)[]

    - ##### enhance: object

      - ##### additionalProperties: boolean

      - ##### type: string

    - ##### fallback: object

      - ##### additionalProperties: boolean

      - ##### required: string[]

      - ##### type: string

      - ##### properties: object

        - ##### cache: object

          - ##### maximum: number

          - ##### minimum: number

          - ##### type: string

        - ##### handle: object

          - ##### type: string

    - ##### flip: object

      - ##### additionalProperties: boolean

      - ##### type: string

    - ##### flop: object

      - ##### additionalProperties: boolean

      - ##### type: string

    - ##### imagesize: object

      - ##### additionalProperties: boolean

      - ##### type: string

    - ##### metadata: object

      - ##### additionalProperties: boolean

      - ##### type: string

      - ##### params: object

        - ##### additionalItems: boolean

        - ##### minItems: number

        - ##### type: string

        - ##### uniqueItems: boolean

        - ##### items: object

          - ##### enum: string[]

          - ##### type: string

    - ##### minify_css: object

      - ##### additionalProperties: boolean

      - ##### type: string

      - ##### properties: object

        - ##### gzip: object

          - ##### type: string

        - ##### level: object

          - ##### enum: number[]

          - ##### type: string

    - ##### minify_js: object

      - ##### additionalProperties: boolean

      - ##### type: string

      - ##### properties: object

        - ##### gzip: object

          - ##### type: string

        - ##### keep_class_name: object

          - ##### type: string

        - ##### keep_fn_name: object

          - ##### type: string

        - ##### mangle: object

          - ##### type: string

        - ##### merge_vars: object

          - ##### type: string

        - ##### remove_console: object

          - ##### type: string

        - ##### remove_undefined: object

          - ##### type: string

        - ##### targets: object

          - ##### type: string

        - ##### use_babel_polyfill: object

          - ##### type: string

    - ##### modulate: object

      - ##### oneOf: (object | object)[]

    - ##### monochrome: object

      - ##### additionalProperties: boolean

      - ##### type: string

    - ##### negative: object

      - ##### additionalProperties: boolean

      - ##### type: string

    - ##### no_metadata: object

      - ##### additionalProperties: boolean

      - ##### type: string

    - ##### oil_paint: object

      - ##### oneOf: (object | object)[]

    - ##### output: object

      - ##### additionalProperties: boolean

      - ##### type: string

      - ##### properties: object

        - ##### background: object

          - ##### $ref: string

        - ##### colorspace: object

          - ##### default: string

          - ##### enum: string[]

          - ##### type: string

        - ##### compress: object

          - ##### type: string

        - ##### density: object

          - ##### maximum: number

          - ##### minimum: number

          - ##### type: string

        - ##### docinfo: object

          - ##### default: boolean

          - ##### type: string

        - ##### format: object

          - ##### enum: string[]

          - ##### type: string

        - ##### page: object

          - ##### maximum: number

          - ##### minimum: number

          - ##### type: string

        - ##### pageformat: object

          - ##### enum: string[]

          - ##### type: string

        - ##### pageorientation: object

          - ##### enum: string[]

          - ##### type: string

        - ##### quality: object

          - ##### oneOf: (object | object)[]

        - ##### secure: object

          - ##### default: boolean

          - ##### type: string

        - ##### strip: object

          - ##### default: boolean

          - ##### type: string

    - ##### partial_blur: object

      - ##### required: string[]

      - ##### type: string

      - ##### properties: object

        - ##### amount: object

          - ##### maximum: number

          - ##### minimum: number

          - ##### type: string

        - ##### blur: object

          - ##### maximum: number

          - ##### minimum: number

          - ##### type: string

        - ##### objects: object

          - ##### $ref: string

        - ##### type: object

          - ##### enum: string[]

          - ##### type: string

    - ##### partial_pixelate: object

      - ##### required: string[]

      - ##### type: string

      - ##### properties: object

        - ##### amount: object

          - ##### maximum: number

          - ##### minimum: number

          - ##### type: string

        - ##### blur: object

          - ##### maximum: number

          - ##### minimum: number

          - ##### type: string

        - ##### objects: object

          - ##### $ref: string

        - ##### type: object

          - ##### enum: string[]

          - ##### type: string

    - ##### pdfconvert: object

      - ##### additionalProperties: boolean

      - ##### anyOf: object[]

      - ##### type: string

      - ##### properties: object

        - ##### pageformat: object

          - ##### $ref: string

        - ##### pageorientation: object

          - ##### enum: string[]

          - ##### type: string

        - ##### pages: object

          - ##### $ref: string

    - ##### pdfinfo: object

      - ##### oneOf: (object | object)[]

    - ##### pixelate: object

      - ##### oneOf: (object | object)[]

    - ##### pixelate_faces: object

      - ##### oneOf: (object | object)[]

    - ##### pjpg: object

      - ##### oneOf: (object | object)[]

    - ##### polaroid: object

      - ##### oneOf: (object | object)[]

    - ##### quality: object

      - ##### additionalProperties: boolean

      - ##### type: string

      - ##### properties: object

        - ##### value: object

          - ##### maximum: number

          - ##### minimum: number

          - ##### type: string

    - ##### redeye: object

      - ##### additionalProperties: boolean

      - ##### type: string

    - ##### resize: object

      - ##### additionalProperties: boolean

      - ##### anyOf: object[]

      - ##### type: string

      - ##### properties: object

        - ##### align: object

          - ##### $ref: string

          - ##### default: string

        - ##### fit: object

          - ##### default: string

          - ##### enum: string[]

          - ##### type: string

        - ##### height: object

          - ##### maximum: number

          - ##### minimum: number

          - ##### type: string

        - ##### width: object

          - ##### maximum: number

          - ##### minimum: number

          - ##### type: string

    - ##### rotate: object

      - ##### additionalProperties: boolean

      - ##### type: string

      - ##### properties: object

        - ##### background: object

          - ##### $ref: string

          - ##### default: string

        - ##### deg: object

          - ##### oneOf: (object | object)[]

        - ##### exif: object

          - ##### type: string

    - ##### rounded_corners: object

      - ##### oneOf: (object | object)[]

    - ##### security: object

      - ##### additionalProperties: boolean

      - ##### required: string[]

      - ##### type: string

      - ##### properties: object

        - ##### policy: object

          - ##### type: string

        - ##### signature: object

          - ##### type: string

    - ##### sepia: object

      - ##### oneOf: (object | object)[]

    - ##### sfw: object

      - ##### additionalProperties: boolean

      - ##### type: string

    - ##### shadow: object

      - ##### oneOf: (object | object)[]

    - ##### sharpen: object

      - ##### oneOf: (object | object)[]

    - ##### store: object

      - ##### oneOf: (object | object)[]

    - ##### tags: object

      - ##### additionalProperties: boolean

      - ##### type: string

    - ##### torn_edges: object

      - ##### oneOf: (object | object)[]

    - ##### upscale: object

      - ##### oneOf: (object | object)[]

    - ##### urlscreenshot: object

      - ##### oneOf: (object | object)[]

    - ##### video_convert: object

      - ##### additionalProperties: boolean

      - ##### type: string

      - ##### properties: object

        - ##### access: object

          - ##### default: string

          - ##### enum: string[]

          - ##### type: string

        - ##### aspect_mode: object

          - ##### default: string

          - ##### enum: string[]

          - ##### type: string

        - ##### audio_bitrate: object

          - ##### maximum: number

          - ##### minimum: number

          - ##### type: string

        - ##### audio_channels: object

          - ##### maximum: number

          - ##### minimum: number

          - ##### type: string

        - ##### audio_sample_rate: object

          - ##### maximum: number

          - ##### minimum: number

          - ##### type: string

        - ##### clip_length: object

          - ##### pattern: string

          - ##### type: string

        - ##### clip_offset: object

          - ##### pattern: string

          - ##### type: string

        - ##### container: object

          - ##### type: string

        - ##### extname: object

          - ##### type: string

        - ##### filename: object

          - ##### type: string

        - ##### force: object

          - ##### type: string

        - ##### fps: object

          - ##### maximum: number

          - ##### minimum: number

          - ##### type: string

        - ##### frame_count: object

          - ##### default: number

          - ##### maximum: number

          - ##### minimum: number

          - ##### type: string

        - ##### height: object

          - ##### maximum: number

          - ##### minimum: number

          - ##### type: string

        - ##### keyframe_interval: object

          - ##### maximum: number

          - ##### minimum: number

          - ##### type: string

        - ##### location: object

          - ##### $ref: string

        - ##### path: object

          - ##### type: string

        - ##### preset: object

          - ##### type: string

        - ##### title: object

          - ##### type: string

        - ##### two_pass: object

          - ##### type: string

        - ##### upscale: object

          - ##### type: string

        - ##### video_bitrate: object

          - ##### maximum: number

          - ##### minimum: number

          - ##### type: string

        - ##### watermark_bottom: object

          - ##### maximum: number

          - ##### minimum: number

          - ##### type: string

        - ##### watermark_left: object

          - ##### maximum: number

          - ##### minimum: number

          - ##### type: string

        - ##### watermark_right: object

          - ##### maximum: number

          - ##### minimum: number

          - ##### type: string

        - ##### watermark_top: object

          - ##### maximum: number

          - ##### minimum: number

          - ##### type: string

        - ##### watermark_url: object

          - ##### type: string

        - ##### width: object

          - ##### maximum: number

          - ##### minimum: number

          - ##### type: string

    - ##### vignette: object

      - ##### oneOf: (object | object)[]

    - ##### watermark: object

      - ##### additionalProperties: boolean

      - ##### required: string[]

      - ##### type: string

      - ##### properties: object

        - ##### file: object

          - ##### type: string

        - ##### position: object

          - ##### $ref: string

        - ##### size: object

          - ##### maximum: number

          - ##### minimum: number

          - ##### type: string

    - ##### zip: object

      - ##### type: string

### minifyCss

- minifyCss(params: MinifyCssParams): this

- - Defined in lib/filelink.ts:1258

  Add task which minify a css file

  memberof

    Filelink

  #### Parameters

  - ##### params: MinifyCssParams

  #### Returns this

  this

### minifyJs

- minifyJs(params: MinifyJsParams): this

- - Defined in lib/filelink.ts:1269

  Add task which minify a javascript file. For better handling of 'targets' param, use with b64 flag enabled.

  memberof

    Filelink

  #### Parameters

  - ##### params: MinifyJsParams

  #### Returns this

  this

### modulate

- modulate(params?: ModulateParams | boolean): this

- - Defined in lib/filelink.ts:1080

  Adds modulate transformation

  see

    https://www.filestack.com/docs/api/processing/#modulate

  memberof

    Filelink

  #### Parameters

  - ##### Optional params: ModulateParams | boolean

  #### Returns this

  this

### monochrome

- monochrome(): this

- - Defined in lib/filelink.ts:771

  Add monochrome transformation

  see

    https://www.filestack.com/docs/api/processing/#monochrome

  memberof

    Filelink

  #### Returns this

  this

### negative

- negative(): this

- - Defined in lib/filelink.ts:782

  Adds negative transformation

  see

    https://www.filestack.com/docs/api/processing/#negative

  memberof

    Filelink

  #### Returns this

  this

### oilPaint

- oilPaint(params?: OilPaintParams | boolean): this

- - Defined in lib/filelink.ts:1068

  Adds oilpaint transformation

  see

    https://www.filestack.com/docs/api/processing/#oil-paint

  memberof

    Filelink

  #### Parameters

  - ##### Optional params: OilPaintParams | boolean

  #### Returns this

  this

### output

- output(params: OutputParams): this

- - Defined in lib/filelink.ts:1176

  Adds output transformation

  see

    https://www.filestack.com/docs/api/processing/#output

  memberof

    Filelink

  #### Parameters

  - ##### params: OutputParams

  #### Returns this

  this

### partialBlur

- partialBlur(params: PartialBlurParams): this

- - Defined in lib/filelink.ts:1104

  Adds partial blur transformation

  see

    https://www.filestack.com/docs/api/processing/#partial-blur

  memberof

    Filelink

  #### Parameters

  - ##### params: PartialBlurParams

  #### Returns this

  this

### partialPixelate

- partialPixelate(params: PartialPixelateParams): this

- - Defined in lib/filelink.ts:1092

  Adds partial pixelate transformation

  see

    https://www.filestack.com/docs/api/processing/#partial-pixelate

  memberof

    Filelink

  #### Parameters

  - ##### params: PartialPixelateParams

  #### Returns this

  this

### pixelate

- pixelate(params?: PixelateParams | boolean): this

- - Defined in lib/filelink.ts:1056

  Adds pixelate transformation

  see

    https://www.filestack.com/docs/api/processing/#pixelate

  memberof

    Filelink

  #### Parameters

  - ##### Optional params: PixelateParams | boolean

  #### Returns this

  this

### pixelateFaces

- pixelateFaces(params: PixelateFacesParams): this

- - Defined in lib/filelink.ts:900

  Adds pixelate faces transformation

  see

    https://www.filestack.com/docs/api/processing/#pixelate-faces

  memberof

    Filelink

  #### Parameters

  - ##### params: PixelateFacesParams

  #### Returns this

  this

### polaroid

- polaroid(params?: PolaroidParams | boolean): this

- - Defined in lib/filelink.ts:936

  Adds polaroid transformation

  see

    https://www.filestack.com/docs/api/processing/#polaroid

  memberof

    Filelink

  #### Parameters

  - ##### Optional params: PolaroidParams | boolean

  #### Returns this

  this

### quality

- quality(params: QualityParams): this

- - Defined in lib/filelink.ts:1152

  Adds quality transformation

  see

    https://www.filestack.com/docs/api/processing/#quality

  memberof

    Filelink

  #### Parameters

  - ##### params: QualityParams

  #### Returns this

  this

### redeye

- redeye(): this

- - Defined in lib/filelink.ts:760

  Add security to link

  see

    https://www.filestack.com/docs/api/processing/#redeye

  memberof

    Filelink

  #### Returns this

### reset

- reset(): this

- - Defined in lib/filelink.ts:711

  Cleanup transformations on filelink

  memberof

    Filelink

  #### Returns this

### resize

- resize(params: ResizeParams): this

- - Defined in lib/filelink.ts:840

  Adds resize transformation

  see

    https://www.filestack.com/docs/api/processing/#resize

  memberof

    Filelink

  #### Parameters

  - ##### params: ResizeParams

  #### Returns this

  this

### rotate

- rotate(params: RotateParams): this

- - Defined in lib/filelink.ts:864

  Adds rotate transformation

  see

    https://www.filestack.com/docs/api/processing/#rotate

  memberof

    Filelink

  #### Parameters

  - ##### params: RotateParams

  #### Returns this

  this

### roundedCorners

- roundedCorners(params?: RoundedCornersParams | boolean): this

- - Defined in lib/filelink.ts:924

  Adds rounded corners transformation

  see

    https://www.filestack.com/docs/api/processing/#rounded-corners

  memberof

    Filelink

  #### Parameters

  - ##### Optional params: RoundedCornersParams | boolean

  #### Returns this

  this

### security

- security(params: SecurityParams): this

- - Defined in lib/filelink.ts:1164

  Adds security transformation

  see

    https://www.filestack.com/docs/api/processing/#security

  memberof

    Filelink

  #### Parameters

  - ##### params: SecurityParams

  #### Returns this

  this

### sepia

- sepia(params?: SepiaParams | boolean): this

- - Defined in lib/filelink.ts:1044

  Adds sepia transformation

  see

    https://www.filestack.com/docs/api/processing/#sepia

  memberof

    Filelink

  #### Parameters

  - ##### Optional params: SepiaParams | boolean

  #### Returns this

  this

### setBase64

- setBase64(flag: boolean): this

- - Defined in lib/filelink.ts:568

  Enable new base64 link support to avoid problems with special chars in link

  memberof

    Filelink

  #### Parameters

  - ##### flag: boolean

  #### Returns this

### setCname

- setCname(cname: string): this

- - Defined in lib/filelink.ts:592

  Set cname for transformation link

  memberof

    Filelink

  #### Parameters

  - ##### cname: string

  #### Returns this

### setCustomDomain

- setCustomDomain(domain: string): this

- - Defined in lib/filelink.ts:604

  Set custom domain. Used for test purpose. It will be removed when after client.transform

  memberof

    Filelink

  #### Parameters

  - ##### domain: string

  #### Returns this

### setUseValidator

- setUseValidator(flag: boolean): this

- - Defined in lib/filelink.ts:580

  Switch the useValidator flag

  memberof

    Filelink

  #### Parameters

  - ##### flag: boolean

  #### Returns this

### sfw

- sfw(): this

- - Defined in lib/filelink.ts:804

  Adds sfw transformation

  see

    https://www.filestack.com/docs/api/processing/#sfw

  memberof

    Filelink

  #### Returns this

  this

### shadow

- shadow(params?: ShadowParams | boolean): this

- - Defined in lib/filelink.ts:972

  Adds shadow transformation

  see

    https://www.filestack.com/docs/api/processing/#shadow

  memberof

    Filelink

  #### Parameters

  - ##### Optional params: ShadowParams | boolean

  #### Returns this

  this

### sharpen

- sharpen(params?: SharpenParams | boolean): this

- - Defined in lib/filelink.ts:1008

  Adds sharpen transformation

  see

    https://www.filestack.com/docs/api/processing/#sharpen

  memberof

    Filelink

  #### Parameters

  - ##### Optional params: SharpenParams | boolean

  #### Returns this

  this

### store

- store(params?: StoreParams | boolean): this

- - Defined in lib/filelink.ts:816

  Adds store transformation

  see

    https://www.filestack.com/docs/api/processing/#store

  memberof

    Filelink

  #### Parameters

  - ##### Optional params: StoreParams | boolean

  #### Returns this

  this

### tags

- tags(): this

- - Defined in lib/filelink.ts:793

  Adds tags transformation

  see

    https://www.filestack.com/docs/api/processing/#tags

  memberof

    Filelink

  #### Returns this

  this

### toString

- toString(): string

- - Defined in lib/filelink.ts:638

  Returns transform url

  memberof

    Filelink

  #### Returns string

### tornEdges

- tornEdges(params?: TornEdgesParams | boolean): this

- - Defined in lib/filelink.ts:960

  Adds torn edges transformation

  see

    https://www.filestack.com/docs/api/processing/#torn-edges

  memberof

    Filelink

  #### Parameters

  - ##### Optional params: TornEdgesParams | boolean

  #### Returns this

  this

### upscale

- upscale(params?: UpscaleParams | boolean): this

- - Defined in lib/filelink.ts:1128

  Adds upscale transformation

  see

    https://www.filestack.com/docs/api/processing/#upscale

  memberof

    Filelink

  #### Parameters

  - ##### Optional params: UpscaleParams | boolean

  #### Returns this

  this

### videoConvert

- videoConvert(params: VideoConvertParams): this

- - Defined in lib/filelink.ts:1188

  Adds video convert transformation

  see

    https://www.filestack.com/docs/api/processing/#video-convert

  memberof

    Filelink

  #### Parameters

  - ##### params: VideoConvertParams

  #### Returns this

  this

### vignette

- vignette(params?: VignetteParams | boolean): this

- - Defined in lib/filelink.ts:948

  Adds vignette transformation

  see

    https://www.filestack.com/docs/api/processing/#vignette

  memberof

    Filelink

  #### Parameters

  - ##### Optional params: VignetteParams | boolean

  #### Returns this

  this

### zip

- zip(): this

- - Defined in lib/filelink.ts:1248

  Add zip transformation which create a zip package on files used on actual context

  see

    https://www.filestack.com/docs/api/processing/#zip

  memberof

    Filelink

  #### Returns this

  this